comedi_digital_trigger_disable
Prev | 5.4.6. Extensions | Next

## Name

comedi_digital_trigger_disable — disable a digital trigger

## Synopsis

    #include <comedilib.h>

`int comedi_digital_trigger_disable(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int trigger_id`)`;

## Status

alpha

## Description

This function disables a digital trigger on a subdevice, returning it to its default, inactive, unconfigured state. If the subdevice supports several digital triggers, the ``trigger_id`` selects one.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_DIGITAL_TRIG` configuration instruction.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_arm_channel | Home | comedi_digital_trigger_enable_edges